org.apache.ignite.cache.store.cassandra.persistence

## Class ValuePersistenceSettings

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.persistence.PersistenceSettings<PojoValueField>
  - - org.apache.ignite.cache.store.cassandra.persistence.ValuePersistenceSettings

- All Implemented Interfaces:
    Serializable

      public class ValuePersistenceSettings
      extends PersistenceSettings<PojoValueField>

  Stores persistence settings for Ignite cache value
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValuePersistenceSettings(Element el)` Creates class instance from XML configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PojoValueField` | `createPojoField(Element el, Class clazz)` Creates instance of `PojoField` based on it's description in XML element.
    `protected PojoValueField` | `createPojoField(PojoFieldAccessor accessor)` Creates instance of `PojoField` from its field accessor.
    `protected PojoValueField` | `createPojoField(PojoValueField field, Class clazz)` Creates instance of `PojoField` based on the other instance and java class to initialize accessor.
    `protected String` | `defaultColumnName()` Returns default name for Cassandra column (if it's not specified explicitly).
    `List<PojoValueField>` | `getFields()` Returns a list of POJO fields to be persisted.

    - ### Methods inherited from class org.apache.ignite.cache.store.cassandra.persistence.PersistenceSettings

      `cassandraUniqueFields, checkDuplicates, detectPojoFields, enrichFields, findPropertyDescriptor, getColumn, getFieldByColumn, getJavaClass, getSerializer, getStrategy, getTableColumns, getTableColumnsDDL, getTableColumnsDDL, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValuePersistenceSettings

          public ValuePersistenceSettings(Element el)

      Creates class instance from XML configuration.
      Parameters:
        `el` - XML element describing value persistence settings.

  - ### Method Detail

    - #### getFields

          public List<PojoValueField> getFields()

      Description copied from class: `PersistenceSettings`
      Returns a list of POJO fields to be persisted.
      Specified by:
        `getFields` in class `PersistenceSettings<PojoValueField>`
      Returns:
        List of value fields.

    - #### defaultColumnName

          protected String defaultColumnName()

      Returns default name for Cassandra column (if it's not specified explicitly).
      Specified by:
        `defaultColumnName` in class `PersistenceSettings<PojoValueField>`
      Returns:
        column name

    - #### createPojoField

          protected PojoValueField createPojoField(Element el,
                                                   Class clazz)

      Creates instance of `PojoField` based on it's description in XML element.
      Specified by:
        `createPojoField` in class `PersistenceSettings<PojoValueField>`
      Parameters:
        `el` - XML element describing POJO field
        `clazz` - POJO java class.

    - #### createPojoField

          protected PojoValueField createPojoField(PojoFieldAccessor accessor)

      Creates instance of `PojoField` from its field accessor.
      Specified by:
        `createPojoField` in class `PersistenceSettings<PojoValueField>`
      Parameters:
        `accessor` - field accessor.

    - #### createPojoField

          protected PojoValueField createPojoField(PojoValueField field,
                                                   Class clazz)

      Creates instance of `PojoField` based on the other instance and java class to initialize accessor.
      Specified by:
        `createPojoField` in class `PersistenceSettings<PojoValueField>`
      Parameters:
        `field` - PojoField instance
        `clazz` - java class

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020